Index: include/libroardsp/libroardsp.h
===================================================================
--- include/libroardsp/libroardsp.h	(revision 2169)
+++ include/libroardsp/libroardsp.h	(revision 2187)
@@ -37,4 +37,8 @@
 #include "remove.h"
 #include "transcode.h"
+
+#ifdef ROAR_HAVE_LIBCELT
+#include "transcode_celt.h"
+#endif
 
 // defines
Index: include/libroardsp/transcode_celt.h
===================================================================
--- include/libroardsp/transcode_celt.h	(revision 2187)
+++ include/libroardsp/transcode_celt.h	(revision 2187)
@@ -0,0 +1,57 @@
+//transcode_celt.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroar a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroar is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *  NOTE for everyone want's to change something and send patches:
+ *  read README and HACKING! There a addition information on
+ *  the license of this document you need to read before you send
+ *  any patches.
+ *
+ *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
+ *  or libpulse*:
+ *  The libs libroaresd, libroararts and libroarpulse link this lib
+ *  and are therefore GPL. Because of this it may be illigal to use
+ *  them with any software that uses libesd, libartsc or libpulse*.
+ */
+
+#ifndef _LIBROARDSP_TRANSCODE_CELT_H_
+#define _LIBROARDSP_TRANSCODE_CELT_H_
+
+#include "libroardsp.h"
+
+#include <celt/celt.h>
+#include <celt/celt_header.h>
+
+struct roar_xcoder_celt {
+ CELTMode * mode;
+ CELTEncoder * encoder;
+ CELTDecoder * decoder;
+};
+
+int roar_xcoder_celt_init       (struct roar_xcoder * state);
+int roar_xcoder_celt_uninit     (struct roar_xcoder * state);
+int roar_xcoder_celt_packet_size(struct roar_xcoder * state, int samples);
+int roar_xcoder_celt_encode     (struct roar_xcoder * state, void * buf, size_t len);
+int roar_xcoder_celt_decode     (struct roar_xcoder * state, void * buf, size_t len);
+
+#endif
+
+//ll
Index: libroardsp/Makefile
===================================================================
--- libroardsp/Makefile	(revision 2179)
+++ libroardsp/Makefile	(revision 2187)
@@ -7,5 +7,5 @@
 OLDROAR=midi.o
 FILTER=lowp.o highp.o amp.o quantify.o add.o clip.o downmix.o dcblock.o swap.o
-TRANSCODERS=transcode_mualaw.o
+TRANSCODERS=transcode_mualaw.o transcode_celt.o
 
 ALLOBJS=$(OBJS) $(FILTER) $(TRANSCODERS) $(OLDROAR)
@@ -15,5 +15,7 @@
 CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH)
-LIBS    = $(lib_dnet) $(lib_m) -lroar
+
+CODECLIBS = $(lib_celt)
+LIBS      = $(lib_dnet) $(lib_m) -lroar $(CODECLIBS)
 
 all: ${TARGETS}
Index: libroardsp/transcode_celt.c
===================================================================
--- libroardsp/transcode_celt.c	(revision 2187)
+++ libroardsp/transcode_celt.c	(revision 2187)
@@ -0,0 +1,32 @@
+//transcode_celt.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroardsp a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroardsp is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#include "libroardsp.h"
+
+#ifdef ROAR_HAVE_LIBCELT
+
+
+#endif
+
+//ll
